---
title: list-all-teams
product: vercel
url: /docs/rest-api/teams/list-all-teams
canonical_url: "https://vercel.com/docs/rest-api/teams/list-all-teams"
last_updated: 2026-09-15
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-all-teams on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List all teams

```http
GET /v2/teams
```

Get a paginated list of all the Teams the authenticated User is a member of.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | number | No | Maximum number of Teams which may be returned. |
| `since` | number | No | Timestamp (in milliseconds) to only include Teams created since then. |
| `until` | number | No | Timestamp (in milliseconds) to only include Teams created until then. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v2/teams?limit=123&since=123&until=123', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v2/teams?limit=123&since=123&until=123', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v2/teams?limit=123&since=123&until=123' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "teams": [
    {
      "connect": {
        "enabled": "false"
      },
      "creatorId": "R6efeCJQ2HKXywuasPDc0fOWB",
      "updatedAt": "1611796915677",
      "emailDomain": "example.com",
      "saml": {
        "connection": {},
        "directory": {},
        "enforced": "false",
        "defaultRedirectUri": "v0.app",
        "roles": "value"
      },
      "inviteCode": "hasihf9e89",
      "billing": {
        "plan": "enterprise"
      },
      "description": "Our mission is to make cloud computing accessible to everyone.",
      "defaultRoles": {
        "teamRoles": [],
        "teamPermissions": []
      },
      "stagingPrefix": "string",
      "resourceConfig": {
        "concurrentBuilds": "123",
        "elasticConcurrencyEnabled": "false",
        "edgeConfigSize": "123",
        "edgeConfigs": "123",
        "kvDatabases": "123",
        "blobStores": "123",
        "postgresDatabases": "123",
        "customEnvironmentsPerProject": "123",
        "serverlessFunctionMaxMemorySize": "123",
        "buildEntitlements": {},
        "buildMachine": {}
      },
      "previewDeploymentSuffix": "example.dev",
      "platform": "true",
      "disableHardAutoBlocks": "123",
      "remoteCaching": {
        "enabled": "false"
      },
      "defaultDeploymentProtection": {
        "passwordProtection": {},
        "ssoProtection": {}
      },
      "defaultPassport": {
        "connectorId": "example_id",
        "deploymentType": "all"
      },
      "defaultExpirationSettings": {
        "expirationDays": "123",
        "expirationDaysProduction": "123",
        "expirationDaysCanceled": "123",
        "expirationDaysErrored": "123",
        "deploymentsToKeep": "123"
      },
      "defaultProjectJobs": {
        "lint": {},
        "typecheck": {},
        "mfe-config-present": {}
      },
      "enablePreviewFeedback": "default",
      "enableProductionFeedback": "default",
      "sensitiveEnvironmentVariablePolicy": "default",
      "disjunctiveProductionSecretPolicy": "default",
      "hideIpAddresses": "false",
      "hideIpAddressesInLogDrains": "false",
      "dpAccessRequestsMode": "all",
      "ipBuckets": [
        {
          "bucket": "string",
          "supportUntil": "123",
          "default": "false"
        }
      ],
      "requireVerifiedCommits": "false",
      "disableRepositoryDispatchEvents": "false",
      "strictDeploymentProtectionSettings": {
        "enabled": "false",
        "updatedAt": "123"
      },
      "strictShareableLinks": {
        "enabled": "false",
        "updatedAt": "123"
      },
      "strictPasswordProtectionSettings": {
        "enabled": "false",
        "updatedAt": "123"
      },
      "strictConnectors": {
        "enabled": "false",
        "updatedAt": "123"
      },
      "nsnbConfig": {
        "preference": "auto-approval"
      },
      "deploymentPolicy": {
        "gitSources": [
          {}
        ],
        "deploymentSources": [
          {}
        ]
      },
      "personalAccessTokensInvalidatedAt": "123",
      "appTokensInvalidatedAt": "123",
      "apiKeysInvalidatedAt": "123",
      "integrationTokensInvalidatedAt": "123",
      "id": "team_nllPyCtREAqxxdyFKbbMDlxd",
      "slug": "my-team",
      "name": "My Team",
      "avatar": "6eb07268bcfadd309905ffb1579354084c24655c",
      "membership": {
        "uid": "example_id",
        "entitlements": [
          {}
        ],
        "teamId": "example_id",
        "confirmed": "true",
        "accessRequestedAt": "123",
        "role": "BILLING",
        "teamRoles": [],
        "teamPermissions": [],
        "createdAt": "123",
        "created": "123",
        "joinedFrom": {}
      },
      "createdAt": "1630748523395",
      "parentId": "org_nllPyCtREAqxxdyFKbbMDlxd",
      "orgRootTeamId": "team_nllPyCtREAqxxdyFKbbMDlxd"
    }
  ],
  "pagination": {
    "count": "20",
    "next": "1540095775951",
    "prev": "1540095775951"
  }
}
```

## Responses

### 200: A paginated list of teams.

Content-Type: `application/json`

```json
{
  "type": "object",
  "description": "A paginated list of teams.",
  "required": [
    "pagination",
    "teams"
  ],
  "properties": {
    "teams": {
      "type": "array",
      "items": {
        "oneOf": [
          {
            "type": "object",
            "description": "Data representing a Team.",
            "required": [
              "avatar",
              "billing",
              "createdAt",
              "creatorId",
              "description",
              "id",
              "name",
              "slug",
              "stagingPrefix",
              "updatedAt"
            ]
          },
          {
            "type": "object",
            "description": "A limited form of data representing a Team, due to the authentication token missing privileges to read the full Team data.",
            "required": [
              "avatar",
              "createdAt",
              "id",
              "limited",
              "limitedBy",
              "name",
              "slug"
            ]
          }
        ]
      }
    },
    "pagination": {
      "type": "object",
      "description": "This object contains information related to the pagination of the current request, including the necessary parameters to get the next or previous page of data.",
      "required": [
        "count",
        "next",
        "prev"
      ],
      "properties": {
        "count": {
          "type": "number",
          "description": "Amount of items in the current page."
        },
        "next": {
          "type": "number",
          "description": "Timestamp that must be used to request the next page.",
          "nullable": true
        },
        "prev": {
          "type": "number",
          "description": "Timestamp that must be used to request the previous page.",
          "nullable": true
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: No description

### 403: You do not have permission to access this resource.

### 410: No description

### 500: No description

---

## Related

- [teams endpoints](/docs/rest-api#teams)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
